=== debian/changelog ===
netsurf (3.2+dfsg-2.2build1) wily; urgency=medium

  * No-change rebuild for libxcb-util.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 01 Sep 2015 11:09:26 +0000

netsurf (3.2+dfsg-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove -DGDK_PIXBUF_DISABLE_DEPRECATED to avoid an implicit function
    declaration issue that was thought to be the cause of an arm64 build failure.
  * Make declarations match between generated file and importing file for
    menu_cursor_pixdata to fix arm64 build failure.
  * Remove nsgenbind/build* in clean target to avoid "unrepresentable changes
    to source" error.

 -- Peter Michael Green <plugwash@debian.org>  Tue, 02 Jun 2015 10:16:59 +0000

netsurf (3.2+dfsg-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  [Sebastian Ramacher]
  * debian/patches/change-how-gdk-image.patch: Fix build against
    libgdk-pixbuf2.0-dev 2.31.4. (Closes: #786819)

 -- Peter Michael Green <plugwash@debian.org>  Tue, 02 Jun 2015 01:00:37 +0000

netsurf (3.2+dfsg-2) unstable; urgency=medium

  * Do not build with javascript support on s390x

 -- Vincent Sanders <vince@debian.org>  Fri, 29 Aug 2014 22:57:28 +0100

netsurf (3.2+dfsg-1) unstable; urgency=medium

  * New upstream release (closes: #756223)
  * New upstream release allows opening local paths (closes: #577136)
  * New upstream release fixes test selection (closes: #736983)
  * New upstream release fixes fallback translations (closes: 670284)
  * Acknowledge NMU, thanks to Mike Gilbert 

 -- Vincent Sanders <vince@debian.org>  Thu, 28 Aug 2014 21:56:12 +0100

netsurf (2.9-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Use lcms2 (closes: #745534).
  * Add libssl-dev build-dependency (closes: #747788).

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 29 Mar 2014 09:02:51 +0000
