=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg// \
   http://download.netsurf-browser.org/netsurf/releases/source-full/netsurf-all-([\d\.]+).tar.gz
